hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Luke Lu (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-7264) Bump avro version to at least 1.4.1
Date Tue, 09 Aug 2011 00:24:27 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-7264?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13081329#comment-13081329
] 

Luke Lu commented on HADOOP-7264:
---------------------------------

BTW, HADOOP-6671 bumped versions of many packages (jetty, jackson, slf4j) with no ill-effect
yet :). The avro bump from 1.3+ to 1.4+ will break the build of trunk mapreduce jobhistory,
which will be replaced by MR-279, which is already on 1.4+.

> Bump avro version to at least 1.4.1
> -----------------------------------
>
>                 Key: HADOOP-7264
>                 URL: https://issues.apache.org/jira/browse/HADOOP-7264
>             Project: Hadoop Common
>          Issue Type: Improvement
>          Components: io
>    Affects Versions: 0.21.0
>            Reporter: Luke Lu
>              Labels: avro
>             Fix For: 0.23.0
>
>
> Needed by mapreduce 2.0 avro support. Maybe we could jump to Avro 1.5. There is incompatible
API changes from 1.3x to 1.4x (Utf8 to CharSequence in user facing APIs) not sure about 1.5x
though.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message